/*
 * 
 * create user alfred with password 'mad';
 * grant all on band to alfred;
 * grant all on cd to alfred;
 * 
 */
package jdbctest3;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 *
 * @author dienert
 */
public class Jdbctest {

    Connection dbVerbindung;
    Statement sqlStatement;
    ResultSet resultSet;

    //konstruktor
    public Jdbctest() {

        try {
            //treiber laden
            Class.forName("org.postgresql.Driver");
            
            //verbindung aufbauen
            //connection string kann sein:
            // jdbc:postgresql:<database>
            // jdbc:postgresql://<host>/<database>
            // jdbc:postgresql://<host:port>/<database>
            dbVerbindung = DriverManager.getConnection(
                    "jdbc:postgresql:fun", 
                    "jack",
                    "white"
                    );
            
            //sql-statement-objekt basteln
            sqlStatement = dbVerbindung.createStatement(
                    ResultSet.TYPE_SCROLL_INSENSITIVE,
                    ResultSet.CONCUR_UPDATABLE
                    );
            
            ResultSet ergebnis = sqlStatement.executeQuery(
                    "select * from band inner join cd on cd.band_id = band.band_id"
                    );
           
            while(ergebnis.next()){
                System.out.println(
                        ergebnis.getString("band_name")+"\t\t\t"+
                        ergebnis.getString("cd_title")
                        );
            }
                    
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Jdbctest();
    }
}
